<!-- SUI:Component:Browser -->

<groupdef id="sui.component.browser" >

	<grid x="0" y="0" h="26" w="0" relatw="1"
		left="browser.topbg.left"
		middle="browser.topbg.center"
		right="browser.topbg.right"
	/>

	<Button id="browser.back"
		x="4" h="26" w="21" y="0" rectrgn="1"
		image="browser.button.back.normal"
		hoverImage="browser.button.back.hover"
		downImage="browser.button.back.down"
		tooltip="Go Back"
	/>
	<Button id="browser.fwd"
		x="25" h="26" w="21" y="0" rectrgn="1"
		image="browser.button.forth.normal"
		hoverImage="browser.button.forth.hover"
		downImage="browser.button.forth.down"
		tooltip="Go Forward"
	/>
	<Button id="browser.refresh"
		x="46" h="26" w="21" y="0" rectrgn="1"
		image="browser.button.reload.normal"
		hoverImage="browser.button.reload.hover"
		downImage="browser.button.reload.down"
		tooltip="Reload Page"
	/>
	<Button id="browser.stop"
		x="67" h="26" w="21" y="0" rectrgn="1"
		image="browser.button.stop.normal"
		hoverImage="browser.button.stop.hover"
		downImage="browser.button.stop.down"
		tooltip="Cancel Loading"
	/>
	<Button id="browser.home"
		x="88" h="26" w="21" y="0" rectrgn="1"
		image="browser.button.home.normal"
		hoverImage="browser.button.home.hover"
		downImage="browser.button.home.down"
		tooltip="Home"
	/>
	<Button id="browser.links"
		x="109" h="26" w="21" y="0" rectrgn="1"
		image="browser.button.links.normal"
		hoverImage="browser.button.links.hover"
		downImage="browser.button.links.down"
		tooltip="Quick Links"
	/>
	<group id="browser.navurl" x="134" y="1" h="22" w="-303" relatw="1" />

	<group id="browser.search" x="-167" y="1" h="22" w="163" relatx="1" />

	<browser id="webbrowser" x="1" y="27" h="-50" w="-2" relath="1" relatw="1" url="http://www.winamp.com" wantfocus="0"/>

	<grid x="0" y="-22" h="22" w="0" relatw="1" relaty="1"
		left="browser.topbg.left"
		middle="browser.topbg.center"
		right="browser.topbg.right"
		id="browser.scraper.show.bg"
	/>

	<Button id="browser.scraper.show" rectrgn="1"
		x="-56" h="13" w="50" y="-17" relaty="1" relatx="1"
		image="browser.button.scraper.show.normal"
		hoverImage="browser.button.scraper.show.hover"
		downImage="browser.button.scraper.show.down"
		tooltip="Show Media Scraper"
	/>

	<group id="browser.scraper" visible="0" x="0" w="0" y="-114" relaty="1" h="113" relatw="1" />

	<!--layer x="2" y="20" h="-22" w="98" relath="1" image="browser.leftpane" move="0"/>

	<componentbucket id="browser.group.bucket" x="4" y="25" w="110" h="-50" relath="1" spacing="8" leftmargin="0" rightmargin="0" vertical="1" wndtype="browser.groups"/>
	<wasabi:button id="browser.group.bucket.up" x="4" y="20" w="92" h="10" text="^" tooltip="Scroll Up" cbtarget="browser.group.bucket" action="cb_prev"/>
	<wasabi:button id="browser.group.bucket.down" x="4" y="-116" relaty="1" w="92" h="10" text="v" tooltip="Scroll Down" cbtarget="browser.group.bucket" action="cb_next"/>

	<Wasabi:Button id="browser.scraper.close" x="4" h="18" w="92" y="-22" relaty="1" text="Hide" />
	<Wasabi:Button id="browser.scraper.open" x="4" h="18" w="92" y="-22" relaty="1" text="Site Scrapper"  /-->

	<script file="scripts/browser.maki" param="\"/>

</groupdef>

<groupdef id="browser.navurl">

	<grid x="0" y="0" h="22" w="0" relatw="1"
		left="browser.editframe.left"
		middle="browser.editframe.center"
		right="browser.editframe.right"
	/>

	<Wasabi:HistoryEditBox id="browser.hedit" x="4" h="18" w="-33" relatw="1" y="2" text="http://www.winamp.com" navbuttons="0" wantfocus="0"/>
	<Wasabi:Button id="browser.navigate" x="-26" relatx="1" h="18" w="22" y="2" image="browser.button.go.normal" center_image="1" tooltip="Go to This URL"/>

</groupdef>

<groupdef id="browser.search">

	<grid x="0" y="0" h="22" w="0" relatw="1"
		left="browser.editframe.left"
		middle="browser.editframe.center"
		right="browser.editframe.right"
	/>

	<Wasabi:Button id="search.choose" x="4" y="2" w="31" h="18"
		tooltip="Choose Your Search Engine"
		image="browser.button.search.winamp.normal" center_image="1" 
		action="search" param="choose" action_target="webbrowser"
	/>

	<Wasabi:EditBox id="search.edit" x="35" y="2" relatw="1" w="-64" h="18" text="Search"/>
	<Wasabi:Button id="search.go" x="-26" relatx="1" h="18" w="22" y="2"
		image="browser.button.go.normal"
		tooltip="Go Search"
		center_image="1" action="search" param="go" action_target="webbrowser"
	/>

</groupdef>

<groupdef id="browser.scraper">

	<grid x="0" y="0" h="20" w="0" relatw="1"
		left="browser.topbg.left"
		middle="browser.topbg.center"
		right="browser.topbg.right"
	/>

	<Button id="browser.scraper.hide" rectrgn="1"
		x="-56" h="13" w="50" y="4" relatx="1"
		image="browser.button.scraper.hide.normal"
		hoverImage="browser.button.scraper.hide.hover"
		downImage="browser.button.scraper.hide.down"
		tooltip="Hide Media Scraper"
	/>

	<Button id="browser.scraper.play" rectrgn="1"
		x="-267" h="13" w="38" y="4" relatx="1"
		image="browser.button.scraper.play.normal"
		hoverImage="browser.button.scraper.play.hover"
		downImage="browser.button.scraper.play.down"
		tooltip="Play selected Items"
	/>

	<Button id="browser.scraper.download" rectrgn="1"
		x="-219" h="13" w="70" y="4" relatx="1"
		image="browser.button.scraper.download.normal"
		hoverImage="browser.button.scraper.download.hover"
		downImage="browser.button.scraper.download.down"
		tooltip="Download selected Items"
	/>

	<Button id="browser.scraper.rescan" rectrgn="1"
		x="-139" h="13" w="58" y="4" relatx="1"
		image="browser.button.scraper.rescan.normal"
		hoverImage="browser.button.scraper.rescan.hover"
		downImage="browser.button.scraper.rescan.down"
		tooltip="Rescan Document"
	/>

	<layer x="14" y="4" move="0" image="browser.label.scraper"/>

	<!--Wasabi:Button x="4" y="15" w="92" h="18" text="Stop" tooltip="Stop current search" id="scraper.stop" />
	<Wasabi:Button x="4" y="15" w="92" h="18" text="Start" tooltip="Search this document for playable media" id="scraper.start" />

	<Wasabi:CheckBox x="4" y="35" w="92" h="18" text="AutoScraper" tooltip="Autostart Site Scraper everytime a new site is loaded" cfgattrib="{0E17DBEA-9398-49e6-AE6F-3AB17D001DF3};Autostart Site Scraper (if open)"/-->

	<List x="1" w="-2" y="21" h="91" relatw="1"
		id="scraper.results"
		multiselect="1" autodeselect="1" sort="0" focusonclick="1"
		numcolumns="2" columnwidths="270;-1" columnlabels="File;URL" wa5style="1" 
	/>

</groupdef>

<groupdef id="wdh.browser">

	<group fitparent="1" id="sui.component.browser" />

</groupdef>

<!-- SUI:Component:MediaLibrary -->

<groupdef id="wdh.ml">

	<windowholder fitparent="1" autofocus="0" wantfocus="0" autoclose="1" autoopen="1" autoavailable="0" visible="1" hold="guid:{6B0EDF80-C9A5-11D3-9F26-00C04F39FFC6}"/>

</groupdef>

<!-- SUI:Component:Video -->

<groupdef id="wdh.video">

	<windowholder fitparent="-2" h="-26" relath="1" autofocus="0" wantfocus="0" autoclose="1" autoopen="1" autoavailable="0" visible="1" hold="guid:{F0816D7B-FFFC-4343-80F2-E8199AA15CC3}"/>

	<grid x="0" y="-22" h="22" w="0" relatw="1" relaty="1"
		left="browser.topbg.left"
		middle="browser.topbg.center"
		right="browser.topbg.right"
		id="browser.scraper.show.bg"
	/>

	<Button action="VID_FS"
		x="4" y="-21" h="21" w="24" relaty="1"  rectrgn="1"
		image="video.button.fullscreen.normal"
		hoverImage="video.button.fullscreen.hover"
		downImage="video.button.fullscreen.down"
		tooltip="Fullscreen"
	/>

	<Button action="VID_1X"
		x="29" y="-21" h="21" w="24" relaty="1"  rectrgn="1"
		image="video.button.1x.normal"
		hoverImage="video.button.1x.hover"
		downImage="video.button.1x.down"
		tooltip="Normal Size"
	/>

	<Button action="VID_2X"
		x="54" y="-21" h="21" w="24" relaty="1"  rectrgn="1"
		image="video.button.2x.normal"
		hoverImage="video.button.2x.hover"
		downImage="video.button.2x.down"
		tooltip="Double Size"
	/>

	<Button action="VID_TV"
		x="80" y="-21" h="21" w="24" relaty="1"  rectrgn="1"
		image="video.button.itv.normal"
		hoverImage="video.button.itv.hover"
		downImage="video.button.itv.down"
		tooltip="Internet TV"
	/>

	<Button action="VID_Misc"
		x="-27" y="-21" h="21" w="24" relaty="1" relatx="1" rectrgn="1"
		image="video.button.cfg.normal"
		hoverImage="video.button.cfg.hover"
		downImage="video.button.cfg.down"
		tooltip="Video Options"
	/>

	<text id="info" display="VID_Info" ticker="1"
		x="105" y="-18" relaty="1" h="13" w="-135" relatw="1"
		align="center" color="color.window.txt"
	/>

</groupdef>

<!-- SUI:Component:Visualization -->

<groupdef id="wdh.vis">

	<windowholder fitparent="-2" h="-26" relath="1" autofocus="0" wantfocus="0" autoclose="1" autoopen="1" autoavailable="0" visible="1" hold="guid:{0000000A-000C-0010-FF7B-01014263450C}"/>

	<grid x="0" y="-22" h="22" w="0" relatw="1" relaty="1"
		left="browser.topbg.left"
		middle="browser.topbg.center"
		right="browser.topbg.right"
		id="browser.scraper.show.bg"
	/>

	<Button action="VIS_FS"
		x="4" y="-21" h="21" w="24" relaty="1"  rectrgn="1"
		image="video.button.fullscreen.normal"
		hoverImage="video.button.fullscreen.hover"
		downImage="video.button.fullscreen.down"
		tooltip="Fullscreen"
	/>

	<Button action="VIS_Prev"
		x="29" y="-21" h="21" w="21" relaty="1"  rectrgn="1"
		image="vis.button.prev.normal"
		hoverImage="vis.button.prev.hover"
		downImage="vis.button.prev.down"
		tooltip="Previous Visualization Preset"
	/>

	<Button action="VIS_Next"
		x="51" y="-21" h="21" w="21" relaty="1"  rectrgn="1"
		image="vis.button.next.normal"
		hoverImage="vis.button.next.hover"
		downImage="vis.button.next.down"
		tooltip="Next Visualization Preset"
	/>

	<ToggleButton id="vis.random"
		x="74" y="-21" h="21" w="24" relaty="1"  rectrgn="1"
		image="vis.button.random.normal"
		hoverImage="vis.button.random.hover"
		downImage="vis.button.random.down"
		tooltip="Randomly change Visualization Presets"
		cfgattrib="{0000000A-000C-0010-FF7B-01014263450C};Random"
	/>

	<ToggleButton id="vis.random.active"
		x="74" y="-21" h="21" w="24" relaty="1"  rectrgn="1"
		ActiveImage="vis.button.random.active"
		ghost="1"
		cfgattrib="{0000000A-000C-0010-FF7B-01014263450C};Random"
	/>

	<script file="scripts/syncbutton.maki" param="vis.random;vis.random.active" />

	<Button action="VIS_Menu"
		x="-52" y="-21" h="21" w="24" relaty="1" relatx="1" rectrgn="1"
		image="vis.button.presets.normal"
		hoverImage="vis.button.presets.hover"
		downImage="vis.button.presets.down"
		tooltip="Presets"
	/>

	<Button action="VIS_Cfg"
		x="-27" y="-21" h="21" w="24" relaty="1" relatx="1" rectrgn="1"
		image="video.button.cfg.normal"
		hoverImage="video.button.cfg.hover"
		downImage="video.button.cfg.down"
		tooltip="Preset Editor / Options"
	/>

</groupdef>

<!-- SUI:Component:Config -->

<!-- This one needs a redesign -->

<include file="config.xml"/>

<groupdef id="wdh.config">

	<group x="2" y="2" w="686" h="296" id="sui.component.config" />

</groupdef>



<groupdef id="sui.components">

	<group id="wdh.ml" fitparent="1" x="4" w="-5" relatw="1" visible="0" />
	<group id="wdh.vis" fitparent="1" visible="0" />
	<group id="wdh.video" fitparent="1" visible="0" />
	<group id="wdh.browser" fitparent="1" visible="0" />

</groupdef>

<groupdef id="sui.content" >

	<grid fitparent="1"
		topleft="sui.background.topleft"
		top="sui.background.top"
		topright="sui.background.topright"
		left="sui.background.left"
		middle="sui.background.center"
		right="sui.background.right"
		bottomleft="sui.background.bottomleft"
		bottom="sui.background.bottom"
		bottomright="sui.background.bottomright"
	/>

	<grid x="1" y="23" h="3" w="-2" relatw="1"
		left="sui.hdivider.left"
		middle="sui.hdivider.center"
		right="sui.hdivider.right"
	/>

	<button
		id="switch.ml"
		x="4" h="18" w="87" y="6"
		image="sui.button.inactive.ml.normal"
		activeImage="sui.button.active.ml.normal"
		hoverImage="sui.button.inactive.ml.hover"
	/>
	<layer id="switch.ml.text" x="4" h="18" w="87" y="6" ghost="1" image="sui.button.inactive.ml.text.normal"/>
	<script file="scripts/hoverstimulate.maki" param="switch.ml;switch.ml.text;sui.button.inactive.ml.text.normal;sui.button.inactive.ml.text.hover;NULL;sui.button.active.ml.text.normal" />

	<button
		id="switch.video"
		x="92" h="18" w="47" y="6"
		image="sui.button.inactive.vid.normal"
		activeImage="sui.button.active.vid.normal"
		hoverImage="sui.button.inactive.vid.hover"
	/>
	<layer id="switch.video.text" x="92" h="18" w="47" y="6" ghost="1" image="sui.button.inactive.video.text.normal"/>
	<script file="scripts/hoverstimulate.maki" param="switch.video;switch.video.text;sui.button.inactive.video.text.normal;sui.button.inactive.video.text.hover;NULL;sui.button.active.video.text.normal" />

	<button
		id="switch.vis"
		x="140" h="18" w="84" y="6"
		image="sui.button.inactive.vis.normal"
		activeImage="sui.button.active.vis.normal"
		hoverImage="sui.button.inactive.vis.hover"
	/>
	<layer id="switch.vis.text" x="140" h="18" w="84" y="6" ghost="1" image="sui.button.inactive.vis.text.normal"/>
	<script file="scripts/hoverstimulate.maki" param="switch.vis;switch.vis.text;sui.button.inactive.vis.text.normal;sui.button.inactive.vis.text.hover;NULL;sui.button.active.vis.text.normal" />

	<button
		id="switch.browser"
		x="225" h="18" w="64" y="6"
		image="sui.button.inactive.brw.normal"
		activeImage="sui.button.active.brw.normal"
		hoverImage="sui.button.inactive.brw.hover"
	/>
	<layer id="switch.browser.text" x="225" h="18" w="64" y="6" ghost="1" image="sui.button.inactive.browser.text.normal"/>
	<script file="scripts/hoverstimulate.maki" param="switch.browser;switch.browser.text;sui.button.inactive.browser.text.normal;sui.button.inactive.browser.text.hover;NULL;sui.button.active.browser.text.normal" />

	<group id="sui.components" x="1" y="26" h="-28" w="-2" relatw="1" relath="1"/>

</groupdef>
